Summary: sshell component of e-smith server and gateway.
%define name sshell
Name: %{name}
%define version 3.0.0
%define release 02
Version: %{version}
Release: %{release}
License: GPL
Vendor: Mitel Networks Corporation
Group: System Environment/Shells
Source: %{name}-%{version}.tar.gz
Patch0: sshell-3.0.0-02.mitel_patch
Packager: e-smith developers <bugs@e-smith.com>
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
Requires: ncurses >= 5.1
BuildRequires: gcc-c++
BuildArchitectures: i386
AutoReqProv: no

%description
sshell component of SME Server. Provides a very restricted shell environment,
specifically to support port forwarding and VPN termination.

%prep
%setup
%patch0 -p1

%build
g++ -o sshell sshell.cc -lncurses

%install
install -d $RPM_BUILD_ROOT/bin
install sshell $RPM_BUILD_ROOT/bin/sshell

%files
%attr(755,root,root) /bin/sshell

%changelog
* Tue Apr 15 2003 Gordon Rowell <gordonr@e-smith.com>
- [3.0.0-02]
- Exit 1 rather than exit 0 [gordonr 5782]

* Thu Dec 12 2002 Gordon Rowell <gordonr@e-smith.com>
- [3.0.0-01]
- Bump version - change of behaviour to 3.0.0
- Bump version number due to change of behaviour [gordonr 5782]

* Thu Dec 12 2002 Gordon Rowell <gordonr@e-smith.com>
- [2.1-05]
- Don't wait for user to type "end" - exit immediately 
  Removed Makefile and added build details to spec file 
  Added BuildRequires for gcc-c++ [gordonr 5782]

* Mon Dec 10 2001 Jason Miller <jmiller@e-smith.com>
- [2.1-04]
- Update description to remove second paragraph and cleanup
  the hyphen dividers 

* Tue Nov 6 2001 Charlie Brady <charlieb@e-smith.com>
- [2.1-03]
- Change BuildArchitecture noarch => i386.
- Fill out description a little.

* Tue Nov 6 2001 Charlie Brady <charlieb@e-smith.com>
- [2.1-02]
- Rebranded from e-smith to Mitel.

* Tue Nov 6 2001 Charlie Brady <charlieb@e-smith.com>
- [2.1-01]
- Rolled version number to 2.1-01. Includes patches upto 2.0-3.

* Thu Feb  8 2001 Adrian Chung <adrianc@e-smith.com>
- Rolling release number for GPG signing.

* Wed Jan 03 2001 Damien Curtain <damien@pagefault.org>
- Added stdlib include to be able to compile sshell with
- a recent version of gcc.
- Updated the spec file to reflect new packager email, and other 
- details.
